Bug 800355 - [ovirt] [vdsm] flow-ID is not used in storage flows
[ovirt] [vdsm] flow-ID is not used in storage flows
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.4
Assigned To: Douglas Schilling Landgraf
Depends On:
  Show dependency treegraph
Reported: 2012-03-06 06:42 EST by Haim
Modified: 2016-02-10 12:15 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-25 04:14:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11164 None None None Never

  None (edit)
Description Haim 2012-03-06 06:42:38 EST
Description of problem:

due to current design, flow-id (correlation id) is not used in storage flows, such as connectStorage{Server,Pool}, spmStart and so on and so forth.
This is due to design where flow-id implementation is set in api calls, so it only affects vm-life-cycle flows.

please note that engine uses the flow-id in all flows.
Comment 1 Douglas Schilling Landgraf 2013-01-17 14:33:42 EST
Patch available for review:

Note You need to log in before you can comment on or make changes to this bug.